Login
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in libgssglue
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in libgssglue
ID: USN-1612-1
Distribution: Ubuntu
Plattformen: Ubuntu 10.04 LTS, Ubuntu 11.04, Ubuntu 11.10, Ubuntu 12.04 LTS
Datum: Mo, 15. Oktober 2012, 22:40
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2709
Applikationen: libgssglue

Originalnachricht


--===============4030859406038488167==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="wq9mPyueHGvFACwf"
Content-Disposition: inline


--wq9mPyueHGvFACwf
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

==========================================================================
Ubuntu Security Notice USN-1612-1
October 15, 2012

libgssglue vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 12.04 LTS
- Ubuntu 11.10
- Ubuntu 11.04
- Ubuntu 10.04 LTS

Summary:

Privilege escalation via the GSSAPI_MECH_CONF environment variable with setuid
programs.

Software Description:
- libgssglue: header files and docs for libgssglue

Details:

It was discovered that libgssglue incorrectly handled the GSSAPI_MECH_CONF
environment variable when running a privileged binary. A local attacker could
exploit this to gain root privileges. (CVE-2011-2709)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 12.04 LTS:
libgssglue1 0.3-4ubuntu0.1

Ubuntu 11.10:
libgssglue1 0.3-1ubuntu1.1

Ubuntu 11.04:
libgssglue1 0.1-4ubuntu1.1

Ubuntu 10.04 LTS:
libgssglue1 0.1-4ubuntu0.1

In general, a standard system update will make all the necessary changes.

References:
http://www.ubuntu.com/usn/usn-1612-1
CVE-2011-2709

Package Information:
https://launchpad.net/ubuntu/+source/libgssglue/0.3-4ubuntu0.1
https://launchpad.net/ubuntu/+source/libgssglue/0.3-1ubuntu1.1
https://launchpad.net/ubuntu/+source/libgssglue/0.1-4ubuntu1.1
https://launchpad.net/ubuntu/+source/libgssglue/0.1-4ubuntu0.1


--wq9mPyueHGvFACwf
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJQfEg/AAoJENaSAD2qAscKGl8P/0CUD8lmomfiAIVzV1grvg2K
gfhYlkFDm8+LK76+xuVdCdgBdJGYRQWO+9mhBhH3F5h79u4V5WyQ/of1dkBqRdi2
ZEIMeP8rNp8dPuBjYNhUsBBBHK3xn5gWjtfYldokVQLy+VfxLui+UpjzFtumT9Gp
HWIIhWdM1NPRHn/lCgBjbSq9hCUGq9rIMS5067pbI1MkOuNOPiDlEmxjAfU7qNOw
ekM0lyYw9BBg7V7tDYQrYUC/Ose2CQ9qwdk/Q+nxE5xVMDmdR2aOLb5gEddthKbI
w47YGZ/d3M/1O0cC8KUqYi4aZlACc/lYgpzyDGvDyVrdnxaO4hGwE3nJyZNT4vzg
UtGwy5LM2xL/tKl17w65hpvW7kii8TBtkORAxeGZK84rmvQDxmb+Io87Vc/9HpPB
o1wj6nPzZOXO6Ul2B9ASZLdv19PyjORZ82h33KEZegzy+xE0Wj0KBdtw9M3TKYLW
1ey40VJabCxPxI9fqbeQAic/mIJ1JGu/v3JlNR4DJFOpph4+nOJwUASAYbEyJ4Vb
qtW3vMczFAPm9/7dQWCDixHLpIsZqPGKvfr3fxxarQrnBSZBj5CZj0aWPlfpTrDD
eXkyyKAPg9q8wsX5vi9VQbZAe/72FH6my6B62zBYoHS02KqTOgLx9KZhkUmWEARb
Jn3wgnFYOr+H+2wQQaz7
=PJri
-----END PGP SIGNATURE-----

--wq9mPyueHGvFACwf--


--===============4030859406038488167==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

--===============4030859406038488167==--
Pro-Linux
Gewinnspiel
Neue Nachrichten
Werbung